%define ver 0.05

Summary: e18n - Enlightenment theme I18N Helper -
Name: e18n
Version: %{ver}
Release: 7m
License: GPL
Group: Applications/Text
# Source0: http://www.kondara.org/~famao/e18n/e18n-%{version}.tar.gz
Source0: e18n-%{version}.tar.gz
Source1: fontdata
Patch0: e18n-tar.gz.support.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# URL: http://www.kondara.org/~famao/
BuildArch: noarch
Requires: perl >= 5

%description
e18n is a helper application that lets you translate Etheme's cfg file to use your desired font

%prep
%setup -q -n e18n
%patch0 -p0
ln -s ja ja_JP.eucjp
ln -s ja ja_JP.EUC-JP
cp -f %{SOURCE1} ja/fontdata

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin/
mkdir -p %{buildroot}/usr/share/e18n/

cp -rf e18n %{buildroot}/usr/bin/
cp -a ja ja_JP ja_JP.ujis ja_JP.eucJP ja_JP.eucjp ja_JP.EUC-JP %{buildroot}/usr/share/e18n/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS ChangeLog.ja README.ja TODO.ja README LICENSE
%dir /usr/share/e18n
/usr/bin/e18n
/usr/share/e18n/*

%changelog
* Thu Apr 22 2004 Toru Hoshina <t@momonga-linux.org>
- (0.05-7m)
- rebuild against rpm 4.2 and enlightenment-0.16.6-2m.

* Wed May 22 2002 Shigeyuki Yamashita <shige@kondara.org>
- (0.05-6k)
- added font set to fontdata

* Tue May  7 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.05-4k)
- '*.tar.gz' file suffix etheme support
- add ja_JP.EUC-JP

* Sat May  5 2001 Toru Hoshina <toru@df-usa.com>
- add ja_JP.eucjp

* Sun Feb 13 2000 Motonobu Ichimura <famao@kondara.org>
- first release
